Page MenuHomePhabricator

Decide on a strategy for supporting language variants in VisualEditor (or decide to give up)
Closed, ResolvedPublic8 Estimated Story Points

Event Timeline

Jdforrester-WMF claimed this task.
Jdforrester-WMF raised the priority of this task from to Medium.
Jdforrester-WMF updated the task description. (Show Details)
gpaumier moved this task from Backlog to Triaged on the Notice board.Apr 16 2015, 5:20 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 23 2015, 9:15 PM
Jdforrester-WMF edited a custom field.
Elitre added a subscriber: Elitre.Jun 24 2015, 3:28 PM
GWicke added a comment.EditedAug 25 2016, 10:11 PM

Some relevant page view data by country from https://stats.wikimedia.org/wikimedia/squids/SquidReportPageViewsPerCountryBreakdown.htm:

  • China: 52% enwiki, 7.8% jpwiki, only 5.6% zhwiki
  • Hong Kong: 68.4% zhwiki, 27.2% enwiki, 2.4% jpwiki
  • Taiwan: 88.1% zhwiki, 8.9% enwiki

The interesting thing is that zhwiki usage within China seems to be rather low. Most usage seems to be from outside China, primarily Taiwan, but also Hong Kong, Malaysia, Singapore, Macau.

Some relevant page view data by country from https://stats.wikimedia.org/wikimedia/squids/SquidReportPageViewsPerCountryBreakdown.htm:

  • China: 52% enwiki, 7.8% jpwiki, only 5.6% zhwiki
  • Hong Kong: 68.4% zhwiki, 27.2% enwiki, 2.4% jpwiki
  • Taiwan: 88.1% zhwiki, 8.9% enwiki

The interesting thing is that zhwiki usage within China seems to be rather low.

zhwiki has been (mostly) blocked in China since May 2015.

Most usage seems to be from outside China, primarily Taiwan, but also Hong Kong, Malaysia, Singapore, Macau.

Yes - more precisely, in July 2016, 52% of pageviews came from Taiwan, 19% from Hong Kong, 9% from the US, 3% from Malaysia.

SET hive.mapred.mode=nonstrict ;
SELECT country_code,  ROUND(100*countryviews/allviews,2) AS views_percentage
FROM (
    SELECT country_code, SUM(view_count) AS countryviews
    FROM wmf.projectview_hourly
    WHERE
      year = 2016
      AND month = 7
      AND project = 'zh.wikipedia'
      AND agent_type = 'user'
    GROUP BY country_code)
    AS countrylist
JOIN (
    SELECT SUM(view_count) AS allviews
    FROM wmf.projectview_hourly
    WHERE
      year = 2016
      AND month = 7
      AND project = 'zh.wikipedia'
      AND agent_type = 'user') AS global
GROUP BY country_code, countryviews, allviews
ORDER BY views_percentage DESC LIMIT 10;
country_code	views_percentage
TW	51.95
HK	19.42
US	8.61
MY	3.45
CA	2.46
JP	2.18
SG	1.96
CN	1.44
AU	1.37
GB	1.05
10 rows selected (128.441 seconds)
Shizhao moved this task from Backlog to Extensions on the Chinese-Sites board.Dec 27 2016, 6:55 AM
Jdforrester-WMF closed this task as Resolved.Sep 15 2017, 4:36 PM
Jdforrester-WMF removed projects: Notice, User-notice.

This was decided, whoops.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 15 2017, 4:36 PM
Shizhao moved this task from Extensions to Closed on the Chinese-Sites board.Sep 18 2017, 3:49 AM
Jdforrester-WMF changed the point value for this task from 40 to 0.Sep 18 2017, 6:26 PM
Jdforrester-WMF changed the point value for this task from 0 to 8.